6.0.0-git
2019-04-23

[#12226] Cannot delete message
Summary Cannot delete message
Queue IMP
Queue Version 6.0.4
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2013-04-29 (2185 days ago)
Due
Updated 2013-04-30 (2184 days ago)
Assigned 2013-04-30 (2184 days ago)
Resolved 2013-04-30 (2184 days ago)
Milestone
Patch No

History
2013-04-30 07:28:21 azurit (at) pobox (dot) sk Comment #5 Reply to this comment
Unfortunately i don't know how it can be reproduced. Problem appeared 
only in one mailbox which has about 50 000 of undelivery reports and 
all of them were marked as deleted. Problem appears when i tried to 
completely delete any of them (i deleted them all yesterday via 'Purge 
Deleted' so i can't try it again). I was trying to reproduce it now 
but i failed.
2013-04-30 05:16:03 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Regardless... this is actually a harmless error.  Since this only 
throws an error if you are attempting to delete a message that doesn't 
exist.  But this commit does sanity checking and won't attempt to 
expunge in this case.
2013-04-30 05:14:48 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit c9c03d7785b912b01dd5b0699d8f020ccbb04ffd
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 29 23:14:10 2013 -0600

     [mms] Don't attempt to expunge messages if the list of UIDs to 
expunge is empty (Bug #12226).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   13 +++++++++++--
  framework/Imap_Client/package.xml                  |    2 ++
  2 files changed, 13 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/c9c03d7785b912b01dd5b0699d8f020ccbb04ffd
2013-04-30 04:59:23 Michael Slusarz Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
This doesn't make much sense:

C: 4 UID COPY 133349 "INBOX.Kos"
S: 4 OK COPY completed.
C: 5 UID STORE 133349 +FLAGS \deleted
S: 5 OK STORE completed.
C: 6 UID SEARCH UID 133349
S: * SEARCH
S: 6 OK SEARCH done.

Essentially it looks like you are trying to move a message that 
doesn't exist.  How exactly can you reproduce?
2013-04-29 09:45:37 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Cannot delete message
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: imap.log Download
Reply to this comment
I'm trying to delete a message which is marked as deleted and getting 
this error: IMAP error reported by server.

Attaching the IMAP log.

Saved Queries